PdfBuilder (Grails 4.0.2)
Date: 2020-02-21

Package: grails.doc

## [Groovy] Class PdfBuilder

- grails.doc.PdfBuilder

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static boolean` | `cleanHtml`
    `static boolean` | `debugPdf`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `build(java.lang.String baseDir, java.lang.String styleDir = null)`
    `` | `static void` | `build(java.util.Map options)` Builds a PDF file from the manual's single.html file.
    `` | `static org.w3c.dom.Document` | `createDocument(java.lang.String xml)`
    `` | `static void` | `createPdf(java.lang.String xml, java.io.File outputFile, java.io.File urlBase)`
    `` | `static void` | `createPdfWithDocument(org.w3c.dom.Document doc, java.io.File outputFile, java.io.File urlBase)`
    `` | `static java.lang.String` | `createXml(java.io.File htmlFile, java.lang.String base)`
    `` | `static java.lang.String` | `pdfCss()`
    `` | `static java.lang.String` | `removeCssLinks(java.lang.String html)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static boolean cleanHtml

    - #### static boolean debugPdf

  - ### Method Detail

    - #### static void build(java.lang.String baseDir, java.lang.String styleDir = null)

    - #### static void build(java.util.Map options)

      Builds a PDF file from the manual's single.html file.

      The following directories are assumed to exist:

      - $basedir/guide/single.html
      - $basedir/guide/css/
      - $basedir/guide/img/
      The `options` map should have the following key/value pairs
      - basedir = points to the root directory that contains the generated manual required

    - #### static org.w3c.dom.Document createDocument(java.lang.String xml)

    - #### static void createPdf(java.lang.String xml, java.io.File outputFile, java.io.File urlBase)

    - #### static void createPdfWithDocument(org.w3c.dom.Document doc, java.io.File outputFile, java.io.File urlBase)

    - #### static java.lang.String createXml(java.io.File htmlFile, java.lang.String base)

    - #### static java.lang.String pdfCss()

    - #### static java.lang.String removeCssLinks(java.lang.String html)